<!-- <div id="container" class="row h-flex h-100 hv-center">
  <div class="d-flex justify-content-center">

</div>
</div> -->

<div class="d-flex w-100 h-100 justify-content-center align-items-center" style="background-color:  #0E2F4F;">
  <div class="w-50 rounded bg-light p-5">
    <form id="form" class="w-100 bg-light" [formGroup]="registerForm">
      <h3 class="text-primary mb-4 text-center"> S'enregistrer</h3>
      <div class="mb-3">
        <label for="exampleFormControlInput1" class="form-label">Nom</label>
        <input type="text" class="form-control" placeholder="nom" formControlName="nom">
      </div>
      <div class="mb-3">
        <label for="exampleFormControlInput1" class="form-label">Prénom</label>
        <input type="text" class="form-control" placeholder="prénom" formControlName="prenom">
      </div>
      <div class="mb-3">
        <label for="exampleFormControlInput1" class="form-label">Adresse e-mail</label>
        <input type="email" class="form-control" placeholder="name@example.com" formControlName="email">
      </div>
      <div class="mb-3">
        <label for="exampleFormControlInput1" class="form-label">Mot de passe</label>
        <input type="password" class="form-control" placeholder="*********" formControlName="password">
      </div>
      <div class="mb-3">
        <label for="exampleFormControlInput1" class="form-label">Numéro de téléphone</label>
        <input type="text" class="form-control" placeholder="00 00 00 00 00" formControlName="telephone">
      </div>
      <div class="mb-3">
        <label class="form-label">Rôle utilisateur</label>
        <input class="form-control" list="datalistOptions" placeholder="Tape ici pour sélectionner..." formControlName="role">
        <datalist id="datalistOptions">
          <option value="CLIENT">
          <option value="PROPRIETAIRE">
          <option value="AGENT">
          <option value="ADMIN">

        </datalist>
      </div>

      <div class="d-flex justify-content-end">
        <button type="submit" class="btn text-light mt-4" style="background-color:  #0E2F4F;" [disabled]="!registerForm.valid" (click)="s_enregistrer()">S'enregistrer</button>
      </div>
    </form>
</div>
</div>
